package com.zhongzheng.modules.exam.service;

import com.zhongzheng.modules.exam.bo.ExamNoteAddBo;
import com.zhongzheng.modules.exam.bo.ExamNoteEditBo;
import com.zhongzheng.modules.exam.bo.ExamNoteQueryBo;
import com.zhongzheng.modules.exam.domain.ExamNote;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhongzheng.modules.exam.vo.ExamNoteVo;

import java.util.Collection;
import java.util.List;

/**
 * 考试重点Service接口
 *
 * @author hjl
 * @date 2021-05-21
 */
public interface IExamNoteService extends IService<ExamNote> {
	/**
	 * 查询单个
	 * @return
	 */
	ExamNoteVo queryById(Long fileId);

	/**
	 * 查询列表
	 */
	List<ExamNoteVo> queryList(ExamNoteQueryBo bo);

	List<ExamNoteVo> queryRecommendList(ExamNoteQueryBo bo);

	List<ExamNoteVo> selectExamNoteList(ExamNoteQueryBo bo);

	/**
	 * 根据新增业务对象插入考试重点
	 * @param bo 考试重点新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(ExamNoteAddBo bo);

	/**
	 * 根据编辑业务对象修改考试重点
	 * @param bo 考试重点编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(ExamNoteEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
